Bug 57468 - (Apparently) bogus warnings while trying to compile qt 3.0.1
Summary: (Apparently) bogus warnings while trying to compile qt 3.0.1
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-13 13:00 UTC by Bernhard Rosenkraenzer
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 19:53:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernhard Rosenkraenzer 2001-12-13 13:00:31 UTC
Description of Problem:
kernel/qpngio.cpp: In member function `bool 
QPNGImageWriter::writeImage(const
   QImage&, int, int, int)':
kernel/qpngio.cpp:395: warning: argument `int quality' might be clobbered 
by
   `longjmp' or `vfork'
kernel/qpngio.cpp:395: warning: argument `int off_x' might be clobbered by
   `longjmp' or `vfork'
kernel/qpngio.cpp:395: warning: argument `int off_y' might be clobbered by
   `longjmp' or `vfork'

The code causing these warnings is:
394 bool QPNGImageWriter::writeImage(const QImage& image, int quality, 
int off_x, int off_y)
395 {

The method doesn't do anything odd with these variables; unless I'm 
completely mistaken, the warnings appear to be bogus.

Version-Release number of selected component (if applicable):
3.1-0.10

How Reproducible:
100%

Steps to Reproduce:
1. Try to build Qt 3.0.1

Comment 1 Jakub Jelinek 2001-12-18 16:09:56 UTC
Can I have preprocessed source which triggers this? Thanks.

Comment 2 Jakub Jelinek 2004-10-02 19:53:29 UTC
No testcase, closing.


Note You need to log in before you can comment on or make changes to this bug.